/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package telas;

import Conection.BancoDados;
import java.sql.SQLException;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JOptionPane;

public class TelaPrincipal extends javax.swing.JFrame {

  BancoDados conecta = new BancoDados();
  CadastroMedico telamed = new CadastroMedico();
  CadastroUsuario telausu= new CadastroUsuario();
  CadastroPacientes telapac = new CadastroPacientes();
  CadastroAgenda telaagenda = new CadastroAgenda();
  FormAgenda telaAgendamento = new FormAgenda();
  FormAgenMedico telaAgendaMedico = new FormAgenMedico();
  
    public TelaPrincipal(String usuario ) {
        initComponents();
        conecta.conexao();
        jLabelUsuario.setText(usuario);
    }

    private TelaPrincipal() {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jInternalFrameAtalho = new javax.swing.JInternalFrame();
        jPanelInternal = new javax.swing.JPanel();
        jLabel2 = new javax.swing.JLabel();
        jButtonCadMedico = new javax.swing.JButton();
        jButtonCadPacientes = new javax.swing.JButton();
        jLabel5 = new javax.swing.JLabel();
        jButtonAgenda = new javax.swing.JButton();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jButtonRelatorio = new javax.swing.JButton();
        jLabelPainelFundo = new javax.swing.JLabel();
        jLabel1 = new javax.swing.JLabel();
        jButtonFechar = new javax.swing.JButton();
        jLabel6 = new javax.swing.JLabel();
        jLabelUsuario = new javax.swing.JLabel();
        jLabelFunfoTelaPrincipal = new javax.swing.JLabel();
        jMenuBar1 = new javax.swing.JMenuBar();
        jMenuCadastro = new javax.swing.JMenu();
        jMenuItemCadUsuarios = new javax.swing.JMenuItem();
        jMenuItemCadMedico = new javax.swing.JMenuItem();
        jMenuItemCadPacientes = new javax.swing.JMenuItem();
        jMenuAgendamentos = new javax.swing.JMenu();
        jMenuItemAgendaConsulta = new javax.swing.JMenuItem();
        jMenuItemVisualizaAgenda = new javax.swing.JMenuItem();
        jMenuItemAgendaMed = new javax.swing.JMenuItem();
        jMenuRelatorios = new javax.swing.JMenu();
        jMenuItemEmitirRelatorio = new javax.swing.JMenuItem();
        jMenuAtalho = new javax.swing.JMenu();
        jMenuItemAtalho = new javax.swing.JMenuItem();
        jMenuSair = new javax.swing.JMenu();
        jMenuItemSair = new javax.swing.JMenuItem();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        getContentPane().setLayout(null);

        jInternalFrameAtalho.setTitle("Clinica Saúde Melhor");
        jInternalFrameAtalho.setVisible(true);
        jInternalFrameAtalho.getContentPane().setLayout(null);

        jPanelInternal.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        jPanelInternal.setLayout(null);

        jLabel2.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        jLabel2.setText("ACESSO RAPIDO- CADASTROS");
        jPanelInternal.add(jLabel2);
        jLabel2.setBounds(10, 10, 190, 20);

        jButtonCadMedico.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/CadMedicos.png"))); // NOI18N
        jButtonCadMedico.setText("jButton1");
        jButtonCadMedico.setToolTipText("CADASTRO DE MEDICOS");
        jButtonCadMedico.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCadMedicoActionPerformed(evt);
            }
        });
        jPanelInternal.add(jButtonCadMedico);
        jButtonCadMedico.setBounds(30, 50, 140, 110);

        jButtonCadPacientes.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/paciente (1).png"))); // NOI18N
        jButtonCadPacientes.setToolTipText("CADASTRO DE PACIENTES");
        jButtonCadPacientes.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCadPacientesActionPerformed(evt);
            }
        });
        jPanelInternal.add(jButtonCadPacientes);
        jButtonCadPacientes.setBounds(270, 40, 130, 110);

        jLabel5.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel5.setText("ACESSO RAPIDO- AGENDA");
        jPanelInternal.add(jLabel5);
        jLabel5.setBounds(10, 210, 200, 20);

        jButtonAgenda.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/Agenda.png"))); // NOI18N
        jButtonAgenda.setToolTipText("AGENDAMENTO");
        jButtonAgenda.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonAgendaActionPerformed(evt);
            }
        });
        jPanelInternal.add(jButtonAgenda);
        jButtonAgenda.setBounds(30, 240, 130, 140);

        jLabel3.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/Sem_título1-removebg-preview (1).png"))); // NOI18N
        jPanelInternal.add(jLabel3);
        jLabel3.setBounds(660, 10, 480, 460);

        jLabel4.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel4.setText("RELATORIOS");
        jPanelInternal.add(jLabel4);
        jLabel4.setBounds(280, 210, 120, 17);

        jButtonRelatorio.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/economy.png"))); // NOI18N
        jButtonRelatorio.setToolTipText("RELATORIOS");
        jButtonRelatorio.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonRelatorioActionPerformed(evt);
            }
        });
        jPanelInternal.add(jButtonRelatorio);
        jButtonRelatorio.setBounds(260, 240, 150, 140);

        jLabelPainelFundo.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/fundo 1400 px.jpg"))); // NOI18N
        jPanelInternal.add(jLabelPainelFundo);
        jLabelPainelFundo.setBounds(0, 0, 1160, 470);

        jInternalFrameAtalho.getContentPane().add(jPanelInternal);
        jPanelInternal.setBounds(0, 50, 1160, 470);

        jLabel1.setFont(new java.awt.Font("Tahoma", 1, 18)); // NOI18N
        jLabel1.setText("SISTEMA DE GERENCIAMENTO");
        jInternalFrameAtalho.getContentPane().add(jLabel1);
        jLabel1.setBounds(20, 10, 280, 30);

        jButtonFechar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/exit.png"))); // NOI18N
        jButtonFechar.setToolTipText("FECHAR TELA DE ATALHO");
        jButtonFechar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonFecharActionPerformed(evt);
            }
        });
        jInternalFrameAtalho.getContentPane().add(jButtonFechar);
        jButtonFechar.setBounds(1080, 0, 40, 40);

        getContentPane().add(jInternalFrameAtalho);
        jInternalFrameAtalho.setBounds(0, 70, 1160, 540);

        jLabel6.setFont(new java.awt.Font("Times New Roman", 1, 14)); // NOI18N
        jLabel6.setText("Usuário:");
        getContentPane().add(jLabel6);
        jLabel6.setBounds(20, 610, 70, 20);
        getContentPane().add(jLabelUsuario);
        jLabelUsuario.setBounds(90, 610, 210, 20);

        jLabelFunfoTelaPrincipal.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/fundo_telaprincipal.jpg"))); // NOI18N
        getContentPane().add(jLabelFunfoTelaPrincipal);
        jLabelFunfoTelaPrincipal.setBounds(0, 0, 1170, 650);

        jMenuCadastro.setText("Cadastros");

        jMenuItemCadUsuarios.setText("Usuarios");
        jMenuItemCadUsuarios.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItemCadUsuariosActionPerformed(evt);
            }
        });
        jMenuCadastro.add(jMenuItemCadUsuarios);

        jMenuItemCadMedico.setText("Medicos");
        jMenuItemCadMedico.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItemCadMedicoActionPerformed(evt);
            }
        });
        jMenuCadastro.add(jMenuItemCadMedico);

        jMenuItemCadPacientes.setText("Pacientes");
        jMenuItemCadPacientes.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItemCadPacientesActionPerformed(evt);
            }
        });
        jMenuCadastro.add(jMenuItemCadPacientes);

        jMenuBar1.add(jMenuCadastro);

        jMenuAgendamentos.setText("Agendamentos");

        jMenuItemAgendaConsulta.setText("Agendar Consulta");
        jMenuItemAgendaConsulta.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItemAgendaConsultaActionPerformed(evt);
            }
        });
        jMenuAgendamentos.add(jMenuItemAgendaConsulta);

        jMenuItemVisualizaAgenda.setText("Visualizar Agenda do dia");
        jMenuItemVisualizaAgenda.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItemVisualizaAgendaActionPerformed(evt);
            }
        });
        jMenuAgendamentos.add(jMenuItemVisualizaAgenda);

        jMenuItemAgendaMed.setText("Visualizar Agenda Medico");
        jMenuItemAgendaMed.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItemAgendaMedActionPerformed(evt);
            }
        });
        jMenuAgendamentos.add(jMenuItemAgendaMed);

        jMenuBar1.add(jMenuAgendamentos);

        jMenuRelatorios.setText("Relatorios");

        jMenuItemEmitirRelatorio.setText("Emitir Relatorio");
        jMenuRelatorios.add(jMenuItemEmitirRelatorio);

        jMenuBar1.add(jMenuRelatorios);

        jMenuAtalho.setText("Ferramentas");

        jMenuItemAtalho.setText("Atalhos");
        jMenuItemAtalho.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItemAtalhoActionPerformed(evt);
            }
        });
        jMenuAtalho.add(jMenuItemAtalho);

        jMenuBar1.add(jMenuAtalho);

        jMenuSair.setText("Sair");
        jMenuSair.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jMenuSairMouseClicked(evt);
            }
        });

        jMenuItemSair.setText("Sair");
        jMenuItemSair.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItemSairActionPerformed(evt);
            }
        });
        jMenuSair.add(jMenuItemSair);

        jMenuBar1.add(jMenuSair);

        setJMenuBar(jMenuBar1);

        setSize(new java.awt.Dimension(1177, 707));
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    private void jMenuItemCadUsuariosActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItemCadUsuariosActionPerformed

try {
          conecta.executaSql("select *from usuarios where nome_usuario ='"+jLabelUsuario.getText()+"'");   
          conecta.rs.first();
          if(conecta.rs.getString("tipo_usuario").equals("Administrador"))  { //apenas administradores podem acessar cadastro de Usuarios
              
               if(telausu==null){
                   telausu = new CadastroUsuario();
                   telausu.setVisible(true);// chama tela de cadastro de usuarios
                   telausu.setResizable(false);
               } else{
                 telausu.setVisible(true);
                 telausu.setResizable(false);   
               }
          }else{
              JOptionPane.showMessageDialog(rootPane, "Usuario não tem acesso ao Cadastro de Usuários");
          }
      } catch (SQLException ex) { //senão
          JOptionPane.showMessageDialog(rootPane, "Usuario não tem acesso ao Cadastro"+ex);
        
      }

        CadastroUsuario tela = new CadastroUsuario();
        tela.setVisible(true); // chama tela de cadastro de Usuario
    }//GEN-LAST:event_jMenuItemCadUsuariosActionPerformed

    private void jMenuItemCadMedicoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItemCadMedicoActionPerformed
       
      try {
          conecta.executaSql("select *from usuarios where nome_usuario ='"+jLabelUsuario.getText()+"'");   
          conecta.rs.first();
          if((conecta.rs.getString("tipo_usuario").equals("Administrador")) || (conecta.rs.getString("tipo_usuario").equals("Atendente"))) {
              //se for administrador ou atendente, a tela de cadastro de medico será aberta
             
               if(telamed==null){
                   telamed = new CadastroMedico();
                   telamed.setVisible(true);// chama tela de cadastro de medicos
                   telamed.setResizable(false);
               } else{
                 telamed.setVisible(true);
                 telamed.setResizable(false);   
               }
          }else{
              JOptionPane.showMessageDialog(rootPane, "Usuario não tem acesso ao Cadastro de Medicos");
          }
      } catch (SQLException ex) { //senão
          JOptionPane.showMessageDialog(rootPane, "Usuario não tem acesso ao Cadastro"+ex);
        
      }
       
        
    }//GEN-LAST:event_jMenuItemCadMedicoActionPerformed

    private void jButtonCadMedicoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCadMedicoActionPerformed
    try {
          conecta.executaSql("select *from usuarios where nome_usuario ='"+jLabelUsuario.getText()+"'");   
          conecta.rs.first();
          if((conecta.rs.getString("tipo_usuario").equals("Administrador")) || (conecta.rs.getString("tipo_usuario").equals("Atendente"))) {
              //se for administrador ou atendente, a tela de cadastro de medico será aberta
             
               if(telamed==null){
                   telamed = new CadastroMedico();
                   telamed.setVisible(true);// chama tela de cadastro de medicos
                   telamed.setResizable(false);
               } else{
                 telamed.setVisible(true);
                 telamed.setResizable(false);   
               }
          }else{
              JOptionPane.showMessageDialog(rootPane, "Usuario não tem acesso ao Cadastro de Medicos");
          }
      } catch (SQLException ex) { //senão
          JOptionPane.showMessageDialog(rootPane, "Usuario não tem acesso ao Cadastro"+ex);
        
      }
       
    }//GEN-LAST:event_jButtonCadMedicoActionPerformed

    private void jButtonCadPacientesActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCadPacientesActionPerformed
         try {
          conecta.executaSql("select *from usuarios where nome_usuario ='"+jLabelUsuario.getText()+"'");   
          conecta.rs.first();
          if((conecta.rs.getString("tipo_usuario").equals("Administrador")) || (conecta.rs.getString("tipo_usuario").equals("Atendente"))) {
              //se for administrador ou atendente, a tela de cadastro de medico será aberta
              
               if(telamed==null){
                   telapac = new CadastroPacientes();
                   telapac.setVisible(true);// chama tela de cadastro de pacientes
                   telapac.setResizable(false);
               } else{
                telapac.setVisible(true);// chama tela de cadastro de pacientes
                telapac.setResizable(false);  
               }
          }else{
              JOptionPane.showMessageDialog(rootPane, "Usuario não tem acesso ao Cadastro de Pacientes");
          }
      } catch (SQLException ex) { //senão
          JOptionPane.showMessageDialog(rootPane, "Usuario não tem acesso ao Cadastro"+ex);
        
      }
    }//GEN-LAST:event_jButtonCadPacientesActionPerformed

    private void jButtonAgendaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonAgendaActionPerformed
         try {
          conecta.executaSql("select *from usuarios where nome_usuario ='"+jLabelUsuario.getText()+"'");   
          conecta.rs.first();
          if((conecta.rs.getString("tipo_usuario").equals("Administrador")) || (conecta.rs.getString("tipo_usuario").equals("Atendente"))) {
              //se for administrador ou atendente, a tela de cadastro de agenda será aberta
             
               if(telaagenda==null){
                   telaagenda = new CadastroAgenda();
                   telaagenda.setVisible(true);// chama tela de cadastro de medicos
                   telaagenda.setResizable(false);
               } else{
                 telaagenda.setVisible(true);
                 telaagenda.setResizable(false);   
               }
          }else{
              JOptionPane.showMessageDialog(rootPane, "Usuario não tem acesso ao Cadastro de Agendamento");
          }
      } catch (SQLException ex) { //senão
          JOptionPane.showMessageDialog(rootPane, "Usuario não tem acesso ao Cadastro"+ex);
        
      } 
       
    }//GEN-LAST:event_jButtonAgendaActionPerformed

    private void jButtonRelatorioActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonRelatorioActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jButtonRelatorioActionPerformed

    private void jMenuItemAgendaConsultaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItemAgendaConsultaActionPerformed
         try {
          conecta.executaSql("select *from usuarios where nome_usuario ='"+jLabelUsuario.getText()+"'");   
          conecta.rs.first();
          if((conecta.rs.getString("tipo_usuario").equals("Administrador")) || (conecta.rs.getString("tipo_usuario").equals("Atendente"))) {
              //se for administrador ou atendente, a tela de cadastro de agenda será aberta
             
               if(telaagenda==null){
                   telaagenda = new CadastroAgenda();
                   telaagenda.setVisible(true);// chama tela de cadastro de cadastro agenda
                   telaagenda.setResizable(false);
               } else{
                 telaagenda.setVisible(true);
                 telaagenda.setResizable(false);   
               }
          }else{
              JOptionPane.showMessageDialog(rootPane, "Usuario não tem acesso ao Cadastro de Agendamento");
          }
      } catch (SQLException ex) { //senão
          JOptionPane.showMessageDialog(rootPane, "Usuario não tem acesso ao Cadastro"+ex);
        
      }
    }//GEN-LAST:event_jMenuItemAgendaConsultaActionPerformed

    private void jMenuItemVisualizaAgendaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItemVisualizaAgendaActionPerformed
         try {
          conecta.executaSql("select *from usuarios where nome_usuario ='"+jLabelUsuario.getText()+"'");   
          conecta.rs.first();
          if((conecta.rs.getString("tipo_usuario").equals("Administrador")) || (conecta.rs.getString("tipo_usuario").equals("Atendente"))) {
              //se for administrador ou atendente, a tela de cadastro de agenda será aberta
             
               if(telaAgendamento==null){
                   telaAgendamento = new FormAgenda();
                   telaAgendamento.setVisible(true);// chama tela de visualizar agenda
                   telaAgendamento.setResizable(false);
               } else{
                 telaAgendamento.setVisible(true);
                 telaAgendamento.setResizable(false);   
               }
          }else{
              JOptionPane.showMessageDialog(rootPane, "Usuario não tem acesso ao Cadastro de Agendamento");
          }
      } catch (SQLException ex) { //senão
          JOptionPane.showMessageDialog(rootPane, "Usuario não tem acesso ao Cadastro"+ex);
        
      }
    }//GEN-LAST:event_jMenuItemVisualizaAgendaActionPerformed

    private void jButtonFecharActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonFecharActionPerformed
        jInternalFrameAtalho.dispose(); // fechar tela de atalho
        
    }//GEN-LAST:event_jButtonFecharActionPerformed

    private void jMenuItemSairActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItemSairActionPerformed
        conecta.desconecta();
        System.exit(0); // fecha todo o sistema
        
    }//GEN-LAST:event_jMenuItemSairActionPerformed

    private void jMenuItemAtalhoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItemAtalhoActionPerformed
      /*  TelaPrincipal tela = new TelaPrincipal();
        tela.setVisible(true);  // chama novamente tela de atalhos
        dispose();*/
      jInternalFrameAtalho.setVisible(true);
      
    }//GEN-LAST:event_jMenuItemAtalhoActionPerformed

    private void jMenuItemCadPacientesActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItemCadPacientesActionPerformed
        
       try {
          conecta.executaSql("select *from usuarios where nome_usuario ='"+jLabelUsuario.getText()+"'");   
          conecta.rs.first();
          if((conecta.rs.getString("tipo_usuario").equals("Administrador")) || (conecta.rs.getString("tipo_usuario").equals("Atendente"))) {
              //se for administrador ou atendente, a tela de cadastro de medico será aberta
              
               if(telamed==null){
                   telapac = new CadastroPacientes();
                   telapac.setVisible(true);// chama tela de cadastro de pacientes
                   telapac.setResizable(false);
               } else{
                telapac.setVisible(true);// chama tela de cadastro de pacientes
                telapac.setResizable(false);  
               }
          }else{
              JOptionPane.showMessageDialog(rootPane, "Usuario não tem acesso ao Cadastro de Pacientes");
          }
      } catch (SQLException ex) { //senão
          JOptionPane.showMessageDialog(rootPane, "Usuario não tem acesso ao Cadastro"+ex);
        
      }

    }//GEN-LAST:event_jMenuItemCadPacientesActionPerformed

    private void jMenuSairMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jMenuSairMouseClicked
        System.exit(0);
    }//GEN-LAST:event_jMenuSairMouseClicked

    private void jMenuItemAgendaMedActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItemAgendaMedActionPerformed
         try {
          conecta.executaSql("select *from usuarios where nome_usuario ='"+jLabelUsuario.getText()+"'");   
          conecta.rs.first();
          if((conecta.rs.getString("tipo_usuario").equals("Administrador")) || (conecta.rs.getString("tipo_usuario").equals("Medico"))) {
              //se for administrador ou atendente, a tela de cadastro de agenda será aberta
             
               if(telaAgendaMedico==null){
                   telaAgendaMedico = new FormAgenMedico();
                   telaAgendaMedico.setVisible(true);// chama tela de visualizar agenda
                   telaAgendaMedico.setResizable(false);
               } else{
                 telaAgendaMedico.setVisible(true);
                 telaAgendaMedico.setResizable(false);   
               }
          }else{
              JOptionPane.showMessageDialog(rootPane, "Usuario não tem acesso ao Cadastro de Agenda Medica");
          }
      } catch (SQLException ex) { //senão
          JOptionPane.showMessageDialog(rootPane, "Usuario não tem acesso ao Cadastro"+ex);
        
      }
    }//GEN-LAST:event_jMenuItemAgendaMedActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(TelaPrincipal.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(TelaPrincipal.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(TelaPrincipal.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(TelaPrincipal.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new TelaPrincipal().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButtonAgenda;
    private javax.swing.JButton jButtonCadMedico;
    private javax.swing.JButton jButtonCadPacientes;
    private javax.swing.JButton jButtonFechar;
    private javax.swing.JButton jButtonRelatorio;
    private javax.swing.JInternalFrame jInternalFrameAtalho;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabelFunfoTelaPrincipal;
    private javax.swing.JLabel jLabelPainelFundo;
    private javax.swing.JLabel jLabelUsuario;
    private javax.swing.JMenu jMenuAgendamentos;
    private javax.swing.JMenu jMenuAtalho;
    private javax.swing.JMenuBar jMenuBar1;
    private javax.swing.JMenu jMenuCadastro;
    private javax.swing.JMenuItem jMenuItemAgendaConsulta;
    private javax.swing.JMenuItem jMenuItemAgendaMed;
    private javax.swing.JMenuItem jMenuItemAtalho;
    private javax.swing.JMenuItem jMenuItemCadMedico;
    private javax.swing.JMenuItem jMenuItemCadPacientes;
    private javax.swing.JMenuItem jMenuItemCadUsuarios;
    private javax.swing.JMenuItem jMenuItemEmitirRelatorio;
    private javax.swing.JMenuItem jMenuItemSair;
    private javax.swing.JMenuItem jMenuItemVisualizaAgenda;
    private javax.swing.JMenu jMenuRelatorios;
    private javax.swing.JMenu jMenuSair;
    private javax.swing.JPanel jPanelInternal;
    // End of variables declaration//GEN-END:variables
}
